Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::quake3::SModifierFunction Struct Reference

`#include <IQ3Shader.h>`

List of all members.

## Public Member Functions

f32 | evaluate (f32 dt) const
| SModifierFunction ()

## Public Attributes

union {
f32 div
f32 wave
}; |
union {
f32 base
f32 bulgewidth
}; |
union {
f32 amp
f32 bulgeheight
}; |
union {
f32 bulgespeed
f32 frequency
}; |
eQ3ModifierFunction | alphagen
u32 | count
eQ3ModifierFunction | func
eQ3ModifierFunction | masterfunc0
eQ3ModifierFunction | masterfunc1
f32 | phase
eQ3ModifierFunction | rgbgen
eQ3ModifierFunction | tcgen
f32 | x
f32 | y
f32 | z

## Detailed Description

Definition at line 419 of file IQ3Shader.h.

## Constructor & Destructor Documentation

irr::scene::quake3::SModifierFunction::SModifierFunction | ( |  | ) | `[inline]`

Definition at line 421 of file IQ3Shader.h.

## Member Function Documentation

f32 irr::scene::quake3::SModifierFunction::evaluate | ( | f32 | dt | ) | const`[inline]`

Definition at line 470 of file IQ3Shader.h.

References amp, base, irr::scene::quake3::COSINUS, irr::core::fract(), frequency, func, irr::scene::quake3::Noiser::get(), irr::scene::quake3::NOISE, phase, irr::core::PI, irr::scene::quake3::SAWTOOTH, irr::scene::quake3::SAWTOOTH_INVERSE, irr::scene::quake3::SINUS, irr::scene::quake3::SQUARE, irr::scene::quake3::TRIANGLE, x, and y.

## Member Data Documentation

union { ... }

union { ... }

union { ... }

union { ... }

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::alphagen

Definition at line 437 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::amp

Definition at line 447 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

f32 irr::scene::quake3::SModifierFunction::base

Definition at line 441 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

f32 irr::scene::quake3::SModifierFunction::bulgeheight

Definition at line 448 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::bulgespeed

Definition at line 456 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::bulgewidth

Definition at line 442 of file IQ3Shader.h.

u32 irr::scene::quake3::SModifierFunction::count

Definition at line 468 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::div

Definition at line 462 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::frequency

Definition at line 455 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::func

Definition at line 433 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::masterfunc0

Definition at line 429 of file IQ3Shader.h.

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::masterfunc1

Definition at line 431 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::phase

Definition at line 451 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::rgbgen

Definition at line 436 of file IQ3Shader.h.

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::tcgen

Definition at line 435 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::wave

Definition at line 461 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::x

Definition at line 465 of file IQ3Shader.h.

Referenced by evaluate().

f32 irr::scene::quake3::SModifierFunction::y

Definition at line 466 of file IQ3Shader.h.

Referenced by evaluate().

f32 irr::scene::quake3::SModifierFunction::z

Definition at line 467 of file IQ3Shader.h.

The documentation for this struct was generated from the following file:

- IQ3Shader.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:13 2010 by Doxygen (1.6.2)